# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(List/MoreUtils.pm) perl(Moo.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Mouse.pm) perl(Scalar/Util.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(base.pm) perl(inc/Module/Install.pm) perl(Test/Class.pm)
# END SourceDeps(oneline)
%define module_version 0.94
%define module_name Object-KeyValueCoding
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.94
Release: alt1
Summary: Perl implementation of Key-Value Coding
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/K/KY/KYLED/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
One of the greatest things about developing using the NeXT/Apple toolchain
is the consistent use of something called key-value coding.  It's the kind
of thing that, once you buy into its philosophy, will suddenly make a whole
slew of things easier for you in ways that you never thought of before.
Every time I move to a new platform, be it Python or Javascript or Perl,
I always find myself frustrated by its absence, and find myself jumping
through all kinds of stupid hoops just to do things that would be dead-simple
if key-value coding were available to me.

So here is a Perl implementation of KVC that you can
glom onto your objects, or even glom onto everything in your system,
and KVC will be available in all its glory (well, some of its glory...
see below).




%prep
%setup -n keyvaluecoding-perl

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md
%perl_vendor_privlib/O*

%changelog
* Tue Apr 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.94-alt1
- initial import by package builder

